
import 'package:flutter/material.dart';
import 'package:flutter_split_view/flutter_split_view.dart';
import 'package:persistent_bottom_nav_bar/persistent_tab_view.dart';

class TalkNavigator {
  static void pushSplitView(BuildContext context, Widget view, {bool overrideToSingleSubScreen = false}) {
    if(context.findAncestorStateOfType<SplitViewState>() != null && SplitView.of(context).isSecondaryVisible) {
      SplitViewState splitView = SplitView.of(context);
      overrideToSingleSubScreen ? splitView.setSecondary(view) : splitView.push(view);
    } else {
      PersistentNavBarNavigator.pushNewScreen(context, screen: view, withNavBar: false);
    }
  }
}